Bug 12849 - smbclient can't parse DOMAIN+username if a different winbind separator is used
smbclient can't parse DOMAIN+username if a different winbind separator is used
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
4.6.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-19 12:52 UTC by Andreas Schneider
Modified: 2017-06-27 10:48 UTC (History)
2 users (show)

See Also:


Attachments
patch for 4.6 (6.20 KB, patch)
2017-06-20 13:56 UTC, Andreas Schneider
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2017-06-19 12:52:57 UTC
The username parsing of the commandline options is done before we read the smb.conf so the username is not fully parsed.

   smbclient -UDOMAIN+username

This does not set DOMAIN as the domain name but handles 'DOMAIN+username' as the connecting username!
Comment 1 Andreas Schneider 2017-06-20 13:56:03 UTC
Created attachment 13295 [details]
patch for 4.6

I've backported the patch, test is working.
Comment 2 Andreas Schneider 2017-06-21 06:19:23 UTC
Karolin, please add the patch for the next 4.6 release. Thanks!
Comment 3 Karolin Seeger 2017-06-23 11:16:27 UTC
(In reply to Andreas Schneider from comment #2)
Pushed to autobuild-v4-6-test.
Comment 4 Karolin Seeger 2017-06-27 10:48:22 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-6-test.
Closing out bug report.

Thanks!